package com.gree.mall.manager.bean.worker;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.plus.entity.WorkerWarranty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerWarrantyVO   {

    @ZfireField(hide = true)
    @ApiModelProperty(value = "质保id")
    @TableId(value = "warranty_id", type = IdType.ID_WORKER_STR)
    private String warrantyId;

    @ApiModelProperty(value = "网点编号")
    private String websitId;

    @ApiModelProperty(value = "师傅编号")
    private String workerNumber;


    @ApiModelProperty(value = "工程师名称")
    private String workerName;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "工程师id")
    private String workerId;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "微信手机号")
    private String mobile;

    @ApiModelProperty(value = "入职时间")
    private Date inTime;

    @ApiModelProperty(value = "离职时间")
    private Date outTime;

    @ApiModelProperty(value = "应缴金额")
    private BigDecimal shouldAmount;

    @ApiModelProperty(value = "已缴纳金额")
    private BigDecimal payableAmount;

    @ApiModelProperty(value = "待缴纳金额")
    private BigDecimal waitAmount;

    @ApiModelProperty(value = "已缴纳期数")
    private Integer payableNum;

    @ApiModelProperty(value = "已退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @ApiModelProperty(value = "修改人")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateBy;


}
